#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Archive-Zip
Version		:	1.68
Release		:	17.2.0.rel%{?dist}
Summary		:	Perl library for accessing Zip archives

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/uthors/id/P/PH/PHRED

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
The Archive::Zip module allows a Perl program
to create, manipulate, read, and write Zip
archive files.
Zip archives can be created, or you can read
from existing zip files.
Once created, they can be written to files,
streams, or strings.  Members can be added,
removed, extracted, replaced, rearranged, and
enumerated.  They can also be renamed or have
their dates, comments, or other attributes
queried or modified.  Their data can be compressed
or uncompressed as needed.  Members can be created
from members in existing Zip files, or from existing
directories, files, or strings.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc Changes examples/
%{_bindir}/crc32
%{perl_vendorlib}/Archive/Zip.pm
%{perl_vendorlib}/Archive/Zip/*.pm
%{perl_vendorlib}/Archive/Zip/FAQ.pod
%{_mandir}/man3/Archive::Zip*.3.gz
#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=vendor					\
	NO_PACKLIST=1						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%changelog

